@font-face {
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('../fonts/oswald/Oswald-Regular.woff2') format('woff2');
}

@font-face {
  font-family: 'PT Sans';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('../fonts/pt-sans/PTSans-Regular.woff2') format('woff2');
}

a {
  color: #fcae11;
  text-decoration: none;
  -webkit-transition: color 0.3s;
  transition: color 0.3s;
}

a:hover,
a:focus {
  color: #e59d00;
  text-decoration: none;
}

.btn-default {
  border-radius: 0;
  border: 2px solid white;
  background: transparent;
  color: white;
  font-weight: 700;
  font-size: 12px;
  text-transform: uppercase;
  -webkit-transition: border-color 0.3s, color 0.3s;
  transition: border-color 0.3s, color 0.3s;
}

.btn-default > span {
  position: relative;
  -webkit-transition: left 0.3s, opacity 0.3s;
  transition: left 0.3s, opacity 0.3s;
}

.btn-default > span:first-child {
  left: -12px;
  width: 12px;
  opacity: 0;
  filter: alpha(opacity=0);
}

.btn-default > span:last-child {
  left: -7px;
}

.btn-default:hover,
.btn-default:focus,
.btn-default:active,
.btn-default:active:focus,
.btn-default:active:hover {
  border-color: #fcae11;
  background: transparent !important;
  color: #fcae11;
  -webkit-box-shadow: none;
  box-shadow: none;
  outline: none;
}

.btn-default:hover > span:first-child,
.btn-default:focus > span:first-child,
.btn-default:active > span:first-child,
.btn-default:active:focus > span:first-child {
  left: 0;
  opacity: 1;
  filter: alpha(opacity=100);
}

.btn-default:hover > span:last-child,
.btn-default:focus > span:last-child,
.btn-default:active > span:last-child,
.btn-default:active:focus > span:last-child {
  left: 0;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Oswald', sans-serif;
}

h4 {
  color: #fcae11;
}

.sidebar-menu__ul a {
  color: white !important;
}

.sidebar-menu__ul a:hover,
.sidebar-menu__ul a:focus {
  color: #fcae11 !important;
}

.sidebar-menu__ul .active a {
  color: #fcae11 !important;
}

.btn-primary {
  border-radius: 0;
  border: 2px solid white;
  background: transparent;
  color: white;
  font-weight: 700;
  font-size: 12px;
  text-transform: uppercase;
  -webkit-transition: border-color 0.3s, color 0.3s;
  transition: border-color 0.3s, color 0.3s;
}

.btn-primary > span {
  position: relative;
  -webkit-transition: left 0.3s, opacity 0.3s;
  transition: left 0.3s, opacity 0.3s;
}

.btn-primary > span:first-child {
  left: -12px;
  width: 12px;
  opacity: 0;
  filter: alpha(opacity=0);
}

.btn-primary > span:last-child {
  left: -7px;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary:active:focus,
.btn-primary:active:hover {
  border-color: #fcae11;
  background: transparent !important;
  color: #fcae11;
  -webkit-box-shadow: none;
  box-shadow: none;
  outline: none;
}

.btn-primary:hover > span:first-child,
.btn-primary:focus > span:first-child,
.btn-primary:active > span:first-child,
.btn-primary:active:focus > span:first-child {
  left: 0;
  opacity: 1;
  filter: alpha(opacity=100);
}

.team-member__avatar {
  width: 33.333333%;
  margin: 0 auto 50px auto;
  text-align: center;
}

.team-member__avatar img {
  display: inline-block;
  max-width: 100%;
  height: auto;
}

.team-member__name {
  font-weight: 700;
  margin-bottom: 15px;
  text-transform: uppercase;
}

.team__member {
  margin-bottom: 30px;
}

.btn-xl {
  padding: 15px 24px;
}

.sidebar__btn {
  padding: 25px 15px 10px;
  cursor: pointer;
  color: white;
}

.sidebar__btn_open {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 9999;
}

.sidebar__btn_open.hidden {
  display: none;
}

.sidebar-btn__caption,
.sidebar-menu__ul > li > a {
  font-weight: 700;
  font-size: 12px;
  text-transform: uppercase;
}

.sidebar-btn__caption {
  margin-right: 5px;
}

.sidebar-btn__icon {
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}

.sidebar-btn-icon__unhover {
  opacity: 1;
  filter: alpha(opacity=100);
}

.sidebar-btn-icon__hover {
  margin-left: -16px;
  opacity: 0;
  filter: alpha(opacity=0);
}

.sidebar__btn:hover .sidebar-btn-icon__unhover {
  -webkit-transform: rotate(360deg);
  transform: rotate(360deg);
  opacity: 0;
  filter: alpha(opacity=0);
}

.sidebar__btn:hover .sidebar-btn-icon__hover {
  -webkit-transform: rotate(360deg);
  transform: rotate(360deg);
  opacity: 1;
  filter: alpha(opacity=100);
}

.sidebar__menu {
  position: fixed;
  top: 0;
  right: 0;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  overflow: auto;
  z-index: 10000;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}

@media (min-width: 768px) {
  .sidebar__menu {
    background-color: rgba(0, 0, 0, 0.3);
  }
}

.sidebar__menu_hidden {
  right: -100%;
}

@media (min-width: 200px) {
  .sidebar__menu {
    width: 200px;
  }

  .sidebar__menu_hidden {
    right: -200px;
  }
}

.sidebar-menu__brand {
  color: white;
  padding: 25px 15px;
  font-size: 18px;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.sidebar-menu__ul {
  list-style: none;
  padding-left: 0;
  margin: 0;
}

.sidebar-menu__ul > li > a {
  display: block;
  padding: 10px 15px;
  color: white;
  text-decoration: none;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  -webkit-transition: color 0.3s;
  transition: color 0.3s;
}

.sidebar-menu__ul > li > a:hover,
.sidebar-menu__ul > li > a:focus {
  background: transparent;
  color: #fcae11;
}

.sidebar-menu__ul > li.active > a {
  color: #fcae11;
}

.preloader,
.preloader__img {
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.preloader {
  position: fixed;
  background: rgba(255, 255, 255, 0.9);
  overflow: hidden;
  z-index: 999998;
}

.preloader::before,
.preloader::after {
  content: "";
  display: block;
  position: absolute;
  width: 200%;
  height: 50%;
  left: -50%;
  background: #222;
  -webkit-transition: all 1s ease-in;
  transition: all 1s ease-in;
}

.preloader::before {
  top: 0;
  transform-origin: right top;
}

.preloader::after {
  bottom: 0;
  transform-origin: left top;
}

.preloader.active::before,
.preloader.active::after {
  height: 0;
  -webkit-transform: rotate(25deg);
  transform: rotate(25deg);
}

.preloader__img {
  position: absolute;
  margin: auto;
  z-index: 999999;
}


#welcomeCarousel .carousel-control-prev,
#welcomeCarousel .carousel-control-next {
  width: 35px;
  opacity: 0.7;
  transition: opacity 0.3s;
}

#welcomeCarousel .carousel-control-prev:hover,
#welcomeCarousel .carousel-control-next:hover {
  opacity: 1;
}

#welcomeCarousel .carousel-control-prev {
  left: 35px;
}

#welcomeCarousel .carousel-control-next {
  right: 35px;
}

#welcomeCarousel .carousel-indicators [data-bs-target] {
  width: 12px;
  height: 12px;
  border-radius: 50%;
  border: 1px solid white;
  background-color: transparent;
  margin-left: 5px;
  margin-right: 5px;
  opacity: 0.7;
  transition: all 0.3s;
}

#welcomeCarousel .carousel-indicators .active {
  background-color: #fcae11;
  border-color: #fcae11;
  opacity: 1;
}

body {
  font-family: 'PT Sans', sans-serif;
  color: white;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.18);
}

body::after {
  content: url(../img/screen-bg_1.webp) url(../img/screen-bg_2.webp) url(../img/screen-bg_3.webp) url(../img/screen-bg_5.webp) url(../img/screen-bg_7.webp) url(../img/screen-bg_8.webp) url(../img/screen-bg_9.webp) url(../img/screen-bg_10.webp);
  display: none;
}

.heading__pre {
  text-align: center;
  margin-bottom: 20px;
  color: rgba(255, 255, 255, 0.5);
}

.heading__pre::before,
.heading__pre::after {
  content: "";
  margin: 0 5px;
}

.heading__pre + .heading {
  margin-top: 0 !important;
}

.heading {
  font-family: 'Oswald', sans-serif;
  margin: 0 auto 30px;
  text-align: center;
  text-transform: uppercase;
  font-size: 28.8px;
}

.heading_lg {
  font-size: 36px;
}

.heading__sub {
  text-align: center;
  font-size: 15px;
  font-style: italic;
}

.heading + .heading__sub {
  margin: -20px auto 40px;
}

@media (min-width: 768px) {
  .heading {
    margin-top: 0;
    font-size: 36px;
  }

  .heading_lg {
    font-size: 54px;
  }
}

#welcome {
  padding: 0;
  overflow: hidden;
}

#welcome .container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
  padding-top: 150px;
  text-align: center;
}

#welcome .row {
  flex-grow: 0;
}

.site-wrapper {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  pointer-events: auto;
  overflow: hidden;
  padding: 100px 0;
}

#welcomeCarousel,
#welcomeCarousel .carousel-inner,
#welcomeCarousel .carousel-item {
  height: 100vh !important;
}

#welcomeCarousel .carousel-item {
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.site-wrapper[data-anchor="welcome"] {
  background-image: url(../img/bg-pattern.webp), url(../img/screen-bg_1.webp);
}

.site-wrapper[data-anchor="aboutme"] {
  background-image: url(../img/bg-pattern.webp), url(../img/screen-bg_5.webp);
}

.site-wrapper[data-anchor="portfolio"] {
  background-image: url(../img/bg-pattern.webp), url(../img/screen-bg_3.webp);
}

.site-wrapper[data-anchor="contact"] {
  background-image: url(../img/bg-pattern.webp), url(../img/screen-bg_7.webp);
}

.site-wrapper[data-anchor="imprint"] {
  background-image: url(../img/bg-pattern.webp), url(../img/screen-bg_2.webp);
}

.site-wrapper__slide {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
}

.about__item {
  margin-bottom: 40px;
  text-align: center;
}

.about-item__title {
  margin-top: 0;
  margin-bottom: 20px;
}

.about-item-title__icon {
  margin-right: 10px;
  color: #fcae11;
}

.about-item__content {
  margin-bottom: 0;
}

.portfolio__nav {
  text-align: center;
  margin-bottom: 35px;
}

.portfolio__nav > a {
  margin-bottom: 5px;
}

.portfolio__item {
  position: relative;
  margin-bottom: 20px;
  border: 2px solid rgba(255, 255, 255, 0.5);
}

.portfolio__item > a,
.portfolio__item > a:hover,
.portfolio__item > a:focus {
  color: white;
}

.portfolio__item:hover .portfolio-item__mask {
  opacity: 1;
  filter: alpha(opacity=100);
}

.portfolio__item:hover .portfolio-item-mask__wrapper {
  display: table !important;
}

.portfolio-item__mask {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: rgba(0, 0, 0, 0.7);
  opacity: 0;
  filter: alpha(opacity=0);
  -webkit-transition: opacity 0.3s;
  transition: opacity 0.3s;
}

.portfolio-item-mask__wrapper {
  display: none;
  width: 100%;
  height: 100%;
  padding: 10px;
  text-align: center;
}

.portfolio-item-mask-wrapper__inner {
  display: table-cell;
  vertical-align: middle;
  font-size: 0.9em;
}

.portfolio-item-mask__icon {
  font-size: 1.5em;
}

.lb-cancel {
  background: url(../img/loading.gif) no-repeat;
}

.lb-nav a.lb-prev,
.lb-nav a.lb-next {
  position: relative;
  width: 10%;
  background: none;
  color: white;
}

.lb-nav a.lb-prev:hover,
.lb-nav a.lb-next:hover,
.lb-nav a.lb-prev:focus,
.lb-nav a.lb-next:focus {
  text-decoration: none;
}

.lb-nav a.lb-prev::before,
.lb-nav a.lb-next::before {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -12px;
  margin-left: -12px;
  font-family: "Icons";
  font-size: 24px;
}

.lb-nav a.lb-prev::before {
  content: "\e035";
}

.lb-nav a.lb-next::before {
  content: "\e036";
}

.lb-data .lb-close {
  position: relative;
  background: none;
  color: white;
  opacity: 1;
  filter: alpha(opacity=100);
  -webkit-transition: none;
  transition: none;
}

.lb-data .lb-close:hover,
.lb-data .lb-close:focus {
  text-decoration: none;
}

.lb-data .lb-close::before {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -7.5px;
  margin-left: -7.5px;
  content: "\e0db";
  font-family: "Icons";
}

.contact__form {
  margin-bottom: 40px;
}

.contact__form .form-control {
  background: transparent;
  border-radius: 0;
  border-width: 2px;
  border-color: white;
  color: white;
  padding: 18px 25px;
  margin-bottom: 45px;
  -webkit-transition: background 0.3s;
  transition: background 0.3s;
}

.contact-info__title {
  margin-bottom: 35px;
}

.contact__form .btn {
  margin-top: 25px;
}

.contact__form .form-control::-moz-placeholder {
  color: white;
  opacity: 1;
}

.contact__form .form-control:-ms-input-placeholder {
  color: white;
}

.contact__form .form-control::-webkit-input-placeholder {
  color: white;
}

.contact__form .form-control:focus {
  background: white;
  border-color: white;
  color: #333333;
  -webkit-box-shadow: none;
  box-shadow: none;
}

.contact__form .form-control:focus::-moz-placeholder {
  color: #333333;
  opacity: 1;
}

.contact__form .form-control:focus:-ms-input-placeholder {
  color: #333333;
}

.contact__form .form-control:focus::-webkit-input-placeholder {
  color: #333333;
}

.contact__form .has-error .form-control {
  border-color: #FF847C;
}

.contact__form .has-error .form-control:focus {
  border-color: white;
}

.contact__form .help-block {
  color: #FF847C !important;
  display: none;
}

.contact__form .has-error .help-block,
.contact__form .has-error.help-block {
  display: block;
}

.contact-form__alert {
  display: none;
}

.contact-form__alert.alert-success {
  display: block;
  border-radius: 0;
  border: 0;
  font-weight: 500;
  background: rgba(153, 184, 152, 0.8);
  color: white;
}

#recaptcha_image {
  margin-bottom: 15px;
}

#recaptcha_image > img {
  border: 1px solid #FFF;
}

#recaptcha_image,
#recaptcha_image > img {
  width: 100% !important;
  height: auto !important;
}

#recaptcha_audio_play_again {
  cursor: pointer;
}

.text-primary {
  color: #fcae11 !important;
}
